# Deadline
A week? A month? Pick a specific date

# Roadmap
* Save/Load
    * Serialization and deserialization
* Inventory
* Camera follow
* First person mode?
* Menu UI
    * Inventory
    * Status/Health/Condition
    * Story/Log
    * Title
    * Settings
* Audio
* Level collisions
* Combat
    * Health
    * Damage
* Scene change
* Dialogue
* Enemy AI
* Enemy spawns
* Shaders

# Aesthetic direction
* Gruel or new?
* General setting / vibe

# Cleanup
* Callable/Signal abstraction
* Generic rotate_toward method
* Separate classes into own files
* Organize files into related directories
* Separate player logic into more reusable nodes
* Generalize input handling
* Fix following error that happens on load

```
E 0:00:02:0620   PromiseRejectCallback_: [jsb][Error] unhandled promise rejection: InternalError: [modules/GodotJS/bridge/jsb_primitive_bindings_reflect.cpp:498 call_builtin_function] bad argument: 0
  <C++ Source>   modules/GodotJS/bridge/jsb_environment.cpp:208 @ PromiseRejectCallback_()
```

# Considerations
* Gltf -> Godot workflow
* Easier way to combine animations on single model
    * Possibly download character animation combiner and automate
* Purpose of PlayerAnimation
* PlayerInput doing too much

